commit ab44df4b6b2f2af6cf94a50833b4e3acc3718c72
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Thu Jun 2 10:40:19 2016 -0500

    Test: pengine: update regression tests for started vs slave change

Index: pacemaker/pengine/test10/bug-1822.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-1822.summary
+++ pacemaker/pengine/test10/bug-1822.summary
@@ -4,7 +4,7 @@ Online: [ process1a process2b ]
 
  Master/Slave Set: ms-sf [ms-sf_group] (unique)
      Resource Group: ms-sf_group:0
-         master_slave_Stateful:0	(ocf::heartbeat:Dummy-statful):	Started process2b
+         master_slave_Stateful:0	(ocf::heartbeat:Dummy-statful):	Slave process2b 
          master_slave_procdctl:0	(ocf::heartbeat:procdctl):	Stopped 
      Resource Group: ms-sf_group:1
          master_slave_Stateful:1	(ocf::heartbeat:Dummy-statful):	Master process1a
@@ -35,7 +35,7 @@ Online: [ process1a process2b ]
 
  Master/Slave Set: ms-sf [ms-sf_group] (unique)
      Resource Group: ms-sf_group:0
-         master_slave_Stateful:0	(ocf::heartbeat:Dummy-statful):	Started process2b
+         master_slave_Stateful:0	(ocf::heartbeat:Dummy-statful):	Slave process2b 
          master_slave_procdctl:0	(ocf::heartbeat:procdctl):	Stopped 
      Resource Group: ms-sf_group:1
          master_slave_Stateful:1	(ocf::heartbeat:Dummy-statful):	Stopped 
Index: pacemaker/pengine/test10/bug-cl-5212.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-cl-5212.summary
+++ pacemaker/pengine/test10/bug-cl-5212.summary
@@ -11,7 +11,7 @@ Online: [ srv03 ]
  Resource Group: grpStonith3
      prmStonith3-1	(stonith:external/ssh):	Started srv01 (UNCLEAN)
  Master/Slave Set: msPostgresql [pgsql]
-     pgsql	(ocf::pacemaker:Stateful):	Started srv02 (UNCLEAN)
+     pgsql	(ocf::pacemaker:Stateful):	Slave srv02 ( UNCLEAN ) 
      pgsql	(ocf::pacemaker:Stateful):	Master srv01 (UNCLEAN)
      Slaves: [ srv03 ]
  Clone Set: clnPingd [prmPingd]
@@ -57,7 +57,7 @@ Online: [ srv03 ]
  Resource Group: grpStonith3
      prmStonith3-1	(stonith:external/ssh):	Started srv01 (UNCLEAN)
  Master/Slave Set: msPostgresql [pgsql]
-     pgsql	(ocf::pacemaker:Stateful):	Started srv02 (UNCLEAN)
+     pgsql	(ocf::pacemaker:Stateful):	Slave srv02 ( UNCLEAN ) 
      pgsql	(ocf::pacemaker:Stateful):	Master srv01 (UNCLEAN)
      Slaves: [ srv03 ]
  Clone Set: clnPingd [prmPingd]
Index: pacemaker/pengine/test10/bug-pm-11.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-pm-11.summary
+++ pacemaker/pengine/test10/bug-pm-11.summary
@@ -4,7 +4,7 @@ Online: [ node-a node-b ]
 
  Master/Slave Set: ms-sf [group] (unique)
      Resource Group: group:0
-         stateful-1:0	(ocf::heartbeat:Stateful):	Started node-b
+         stateful-1:0	(ocf::heartbeat:Stateful):	Slave node-b 
          stateful-2:0	(ocf::heartbeat:Stateful):	Stopped 
      Resource Group: group:1
          stateful-1:1	(ocf::heartbeat:Stateful):	Master node-a
@@ -40,8 +40,8 @@ Online: [ node-a node-b ]
 
  Master/Slave Set: ms-sf [group] (unique)
      Resource Group: group:0
-         stateful-1:0	(ocf::heartbeat:Stateful):	Started node-b
-         stateful-2:0	(ocf::heartbeat:Stateful):	Started node-b
+         stateful-1:0	(ocf::heartbeat:Stateful):	Slave node-b 
+         stateful-2:0	(ocf::heartbeat:Stateful):	Slave node-b 
      Resource Group: group:1
          stateful-1:1	(ocf::heartbeat:Stateful):	Master node-a
          stateful-2:1	(ocf::heartbeat:Stateful):	Master node-a
Index: pacemaker/pengine/test10/bug-pm-12.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-pm-12.summary
+++ pacemaker/pengine/test10/bug-pm-12.summary
@@ -4,8 +4,8 @@ Online: [ node-a node-b ]
 
  Master/Slave Set: ms-sf [group] (unique)
      Resource Group: group:0
-         stateful-1:0	(ocf::heartbeat:Stateful):	Started node-b
-         stateful-2:0	(ocf::heartbeat:Stateful):	Started node-b
+         stateful-1:0	(ocf::heartbeat:Stateful):	Slave node-b 
+         stateful-2:0	(ocf::heartbeat:Stateful):	Slave node-b 
      Resource Group: group:1
          stateful-1:1	(ocf::heartbeat:Stateful):	Master node-a
          stateful-2:1	(ocf::heartbeat:Stateful):	Master node-a
@@ -48,8 +48,8 @@ Online: [ node-a node-b ]
 
  Master/Slave Set: ms-sf [group] (unique)
      Resource Group: group:0
-         stateful-1:0	(ocf::heartbeat:Stateful):	Started node-b
-         stateful-2:0	(ocf::heartbeat:Stateful):	Started node-b
+         stateful-1:0	(ocf::heartbeat:Stateful):	Slave node-b 
+         stateful-2:0	(ocf::heartbeat:Stateful):	Slave node-b 
      Resource Group: group:1
          stateful-1:1	(ocf::heartbeat:Stateful):	Master node-a
          stateful-2:1	(ocf::heartbeat:Stateful):	Master node-a
Index: pacemaker/pengine/test10/inc11.summary
===================================================================
--- pacemaker.orig/pengine/test10/inc11.summary
+++ pacemaker/pengine/test10/inc11.summary
@@ -38,6 +38,6 @@ Online: [ node0 node1 node2 ]
 
  simple-rsc	(heartbeat:apache):	Started node2
  Master/Slave Set: rsc1 [child_rsc1] (unique)
-     child_rsc1:0	(ocf::heartbeat:apache):	Started node1
+     child_rsc1:0	(ocf::heartbeat:apache):	Slave node1 
      child_rsc1:1	(ocf::heartbeat:apache):	Master node2
 
Index: pacemaker/pengine/test10/inc12.summary
===================================================================
--- pacemaker.orig/pengine/test10/inc12.summary
+++ pacemaker/pengine/test10/inc12.summary
@@ -20,16 +20,16 @@ Online: [ c001n02 c001n03 c001n04 c001n0
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:1	(ocf::heartbeat:Stateful):	Stopped 
-     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Started c001n04
-     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Started c001n04
-     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Started c001n05
-     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Started c001n05
-     ocf_msdummy:6	(ocf::heartbeat:Stateful):	Started c001n06
-     ocf_msdummy:7	(ocf::heartbeat:Stateful):	Started c001n06
-     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Started c001n07
-     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Started c001n07
-     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Started c001n02
-     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Started c001n02
+     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Slave c001n04 
+     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Slave c001n04 
+     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Slave c001n05 
+     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Slave c001n05 
+     ocf_msdummy:6	(ocf::heartbeat:Stateful):	Slave c001n06 
+     ocf_msdummy:7	(ocf::heartbeat:Stateful):	Slave c001n06 
+     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Slave c001n07 
+     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Slave c001n07 
+     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Slave c001n02 
+     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Slave c001n02 
 
 Transition Summary:
  * Stop    ocf_192.168.100.181	(c001n02)
Index: pacemaker/pengine/test10/master-0.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-0.summary
+++ pacemaker/pengine/test10/master-0.summary
@@ -38,9 +38,9 @@ Revised cluster status:
 Online: [ node1 node2 ]
 
  Master/Slave Set: rsc1 [child_rsc1] (unique)
-     child_rsc1:0	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:1	(ocf::heartbeat:apache):	Started node2
-     child_rsc1:2	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:3	(ocf::heartbeat:apache):	Started node2
+     child_rsc1:0	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:1	(ocf::heartbeat:apache):	Slave node2 
+     child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker/pengine/test10/master-1.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-1.summary
+++ pacemaker/pengine/test10/master-1.summary
@@ -42,9 +42,9 @@ Revised cluster status:
 Online: [ node1 node2 ]
 
  Master/Slave Set: rsc1 [child_rsc1] (unique)
-     child_rsc1:0	(ocf::heartbeat:apache):	Started node1
+     child_rsc1:0	(ocf::heartbeat:apache):	Slave node1 
      child_rsc1:1	(ocf::heartbeat:apache):	Master node2
-     child_rsc1:2	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:3	(ocf::heartbeat:apache):	Started node2
+     child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker/pengine/test10/master-10.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-10.summary
+++ pacemaker/pengine/test10/master-10.summary
@@ -67,8 +67,8 @@ Online: [ node1 node2 ]
 
  Master/Slave Set: rsc1 [child_rsc1] (unique)
      child_rsc1:0	(ocf::heartbeat:apache):	Master node1
-     child_rsc1:1	(ocf::heartbeat:apache):	Started node2
-     child_rsc1:2	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:3	(ocf::heartbeat:apache):	Started node2
+     child_rsc1:1	(ocf::heartbeat:apache):	Slave node2 
+     child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker/pengine/test10/master-11.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-11.summary
+++ pacemaker/pengine/test10/master-11.summary
@@ -35,6 +35,6 @@ Online: [ node1 node2 ]
 
  simple-rsc	(heartbeat:apache):	Started node2
  Master/Slave Set: rsc1 [child_rsc1] (unique)
-     child_rsc1:0	(ocf::heartbeat:apache):	Started node1
+     child_rsc1:0	(ocf::heartbeat:apache):	Slave node1 
      child_rsc1:1	(ocf::heartbeat:apache):	Master node2
 
Index: pacemaker/pengine/test10/master-12.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-12.summary
+++ pacemaker/pengine/test10/master-12.summary
@@ -6,8 +6,8 @@ Online: [ sel3 sel4 ]
      Masters: [ sel3 ]
      Slaves: [ sel4 ]
  Master/Slave Set: ms-sf [sf] (unique)
-     sf:0	(ocf::heartbeat:Stateful):	Started sel3
-     sf:1	(ocf::heartbeat:Stateful):	Started sel4
+     sf:0	(ocf::heartbeat:Stateful):	Slave sel3 
+     sf:1	(ocf::heartbeat:Stateful):	Slave sel4 
  fs0	(ocf::heartbeat:Filesystem):	Started sel3
 
 Transition Summary:
@@ -26,6 +26,6 @@ Online: [ sel3 sel4 ]
      Slaves: [ sel4 ]
  Master/Slave Set: ms-sf [sf] (unique)
      sf:0	(ocf::heartbeat:Stateful):	Master sel3
-     sf:1	(ocf::heartbeat:Stateful):	Started sel4
+     sf:1	(ocf::heartbeat:Stateful):	Slave sel4 
  fs0	(ocf::heartbeat:Filesystem):	Started sel3
 
Index: pacemaker/pengine/test10/master-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-2.summary
+++ pacemaker/pengine/test10/master-2.summary
@@ -63,8 +63,8 @@ Online: [ node1 node2 ]
 
  Master/Slave Set: rsc1 [child_rsc1] (unique)
      child_rsc1:0	(ocf::heartbeat:apache):	Master node1
-     child_rsc1:1	(ocf::heartbeat:apache):	Started node2
-     child_rsc1:2	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:3	(ocf::heartbeat:apache):	Started node2
+     child_rsc1:1	(ocf::heartbeat:apache):	Slave node2 
+     child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker/pengine/test10/master-3.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-3.summary
+++ pacemaker/pengine/test10/master-3.summary
@@ -42,9 +42,9 @@ Revised cluster status:
 Online: [ node1 node2 ]
 
  Master/Slave Set: rsc1 [child_rsc1] (unique)
-     child_rsc1:0	(ocf::heartbeat:apache):	Started node1
+     child_rsc1:0	(ocf::heartbeat:apache):	Slave node1 
      child_rsc1:1	(ocf::heartbeat:apache):	Master node2
-     child_rsc1:2	(ocf::heartbeat:apache):	Started node1
-     child_rsc1:3	(ocf::heartbeat:apache):	Started node2
+     child_rsc1:2	(ocf::heartbeat:apache):	Slave node1 
+     child_rsc1:3	(ocf::heartbeat:apache):	Slave node2 
      child_rsc1:4	(ocf::heartbeat:apache):	Stopped 
 
Index: pacemaker/pengine/test10/master-4.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-4.summary
+++ pacemaker/pengine/test10/master-4.summary
@@ -17,14 +17,14 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:2	(stonith:ssh):	Started c001n01
      child_DoFencing:3	(stonith:ssh):	Started c001n02
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
-     ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
 
 Transition Summary:
  * Promote ocf_msdummy:0	(Slave -> Master c001n08)
@@ -83,11 +83,11 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n02
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
 
Index: pacemaker/pengine/test10/master-5.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-5.summary
+++ pacemaker/pengine/test10/master-5.summary
@@ -18,13 +18,13 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n02
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
 
 Transition Summary:
 
@@ -77,11 +77,11 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n02
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
 
Index: pacemaker/pengine/test10/master-6.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-6.summary
+++ pacemaker/pengine/test10/master-6.summary
@@ -19,13 +19,13 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n01
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
 
 Transition Summary:
 
@@ -76,11 +76,11 @@ Online: [ c001n01 c001n02 c001n03 c001n0
      child_DoFencing:3	(stonith:ssh):	Started c001n01
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n08
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 
 
Index: pacemaker/pengine/test10/master-7.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-7.summary
+++ pacemaker/pengine/test10/master-7.summary
@@ -20,13 +20,13 @@ Online: [ c001n02 c001n03 c001n08 ]
      child_DoFencing:3	(stonith:ssh):	Started c001n08
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n01 (UNCLEAN)
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n01 (UNCLEAN)
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n01 ( UNCLEAN ) 
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
 Transition Summary:
  * Move    DcIPaddr	(Started c001n01 -> c001n03)
@@ -111,11 +111,11 @@ OFFLINE: [ c001n01 ]
      child_DoFencing:3	(stonith:ssh):	Started c001n08
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
      ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
Index: pacemaker/pengine/test10/master-8.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-8.summary
+++ pacemaker/pengine/test10/master-8.summary
@@ -20,13 +20,13 @@ Online: [ c001n02 c001n03 c001n08 ]
      child_DoFencing:3	(stonith:ssh):	Started c001n08
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n01 (UNCLEAN)
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
      ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
 Transition Summary:
  * Move    DcIPaddr	(Started c001n01 -> c001n03)
@@ -114,12 +114,12 @@ OFFLINE: [ c001n01 ]
      child_DoFencing:2	(stonith:ssh):	Started c001n02
      child_DoFencing:3	(stonith:ssh):	Started c001n08
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
-     ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n03
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n03 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
      ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n08
+     ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08 
 
Index: pacemaker/pengine/test10/master-failed-demote-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-failed-demote-2.summary
+++ pacemaker/pengine/test10/master-failed-demote-2.summary
@@ -7,8 +7,8 @@ Online: [ dl380g5a dl380g5b ]
          stateful-1:0	(ocf::heartbeat:Stateful):	FAILED dl380g5b 
          stateful-2:0	(ocf::heartbeat:Stateful):	Stopped 
      Resource Group: group:1
-         stateful-1:1	(ocf::heartbeat:Stateful):	Started dl380g5a
-         stateful-2:1	(ocf::heartbeat:Stateful):	Started dl380g5a
+         stateful-1:1	(ocf::heartbeat:Stateful):	Slave dl380g5a 
+         stateful-2:1	(ocf::heartbeat:Stateful):	Slave dl380g5a 
 
 Transition Summary:
  * Stop    stateful-1:0	(dl380g5b)
Index: pacemaker/pengine/test10/master-failed-demote.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-failed-demote.summary
+++ pacemaker/pengine/test10/master-failed-demote.summary
@@ -7,8 +7,8 @@ Online: [ dl380g5a dl380g5b ]
          stateful-1:0	(ocf::heartbeat:Stateful):	FAILED dl380g5b 
          stateful-2:0	(ocf::heartbeat:Stateful):	Stopped 
      Resource Group: group:1
-         stateful-1:1	(ocf::heartbeat:Stateful):	Started dl380g5a
-         stateful-2:1	(ocf::heartbeat:Stateful):	Started dl380g5a
+         stateful-1:1	(ocf::heartbeat:Stateful):	Slave dl380g5a 
+         stateful-2:1	(ocf::heartbeat:Stateful):	Slave dl380g5a 
 
 Transition Summary:
  * Stop    stateful-1:0	(dl380g5b)
Index: pacemaker/pengine/test10/master-group.summary
===================================================================
--- pacemaker.orig/pengine/test10/master-group.summary
+++ pacemaker/pengine/test10/master-group.summary
@@ -6,9 +6,9 @@ Online: [ rh44-1 rh44-2 ]
      resource_1	(ocf::heartbeat:IPaddr):	Started rh44-1
  Master/Slave Set: ms-sf [grp_ms_sf] (unique)
      Resource Group: grp_ms_sf:0
-         master_slave_Stateful:0	(ocf::heartbeat:Stateful):	Started rh44-2
+         master_slave_Stateful:0	(ocf::heartbeat:Stateful):	Slave rh44-2 
      Resource Group: grp_ms_sf:1
-         master_slave_Stateful:1	(ocf::heartbeat:Stateful):	Started rh44-1
+         master_slave_Stateful:1	(ocf::heartbeat:Stateful):	Slave rh44-1 
 
 Transition Summary:
  * Promote master_slave_Stateful:1	(Slave -> Master rh44-1)
@@ -29,7 +29,7 @@ Online: [ rh44-1 rh44-2 ]
      resource_1	(ocf::heartbeat:IPaddr):	Started rh44-1
  Master/Slave Set: ms-sf [grp_ms_sf] (unique)
      Resource Group: grp_ms_sf:0
-         master_slave_Stateful:0	(ocf::heartbeat:Stateful):	Started rh44-2
+         master_slave_Stateful:0	(ocf::heartbeat:Stateful):	Slave rh44-2 
      Resource Group: grp_ms_sf:1
          master_slave_Stateful:1	(ocf::heartbeat:Stateful):	Master rh44-1
 
Index: pacemaker/pengine/test10/rec-node-13.summary
===================================================================
--- pacemaker.orig/pengine/test10/rec-node-13.summary
+++ pacemaker/pengine/test10/rec-node-13.summary
@@ -24,14 +24,14 @@ OFFLINE: [ c001n03 c001n05 ]
      ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	FAILED c001n04 
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
-     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
+     ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
+     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
 
 Transition Summary:
  * Stop    ocf_msdummy:6	(c001n04)
@@ -68,12 +68,12 @@ OFFLINE: [ c001n03 c001n04 c001n05 ]
      ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
+     ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
-     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
+     ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
+     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
 
Index: pacemaker/pengine/test10/stonith-0.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-0.summary
+++ pacemaker/pengine/test10/stonith-0.summary
@@ -22,19 +22,19 @@ Online: [ c001n02 c001n04 c001n06 c001n0
      Stopped: [ c001n03 c001n05 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n02
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
      ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08
      ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n04
-     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n04
-     ocf_msdummy:12	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:13	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
+     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n04 
+     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n04 
+     ocf_msdummy:12	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:13	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
 
 Transition Summary:
  * Move    ocf_192.168.100.181	(Started c001n03 -> c001n02)
@@ -93,17 +93,17 @@ OFFLINE: [ c001n03 c001n05 ]
      Stopped: [ c001n03 c001n05 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Master c001n02
-     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n02
-     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
-     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n07
+     ocf_msdummy:1	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n02 
+     ocf_msdummy:2	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
+     ocf_msdummy:3	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n07 
      ocf_msdummy:4	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08
      ocf_msdummy:5	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n08
      ocf_msdummy:6	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:8	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
      ocf_msdummy:9	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Stopped 
-     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n04
-     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n04
-     ocf_msdummy:12	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
-     ocf_msdummy:13	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Started c001n06
+     ocf_msdummy:10	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n04 
+     ocf_msdummy:11	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n04 
+     ocf_msdummy:12	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
+     ocf_msdummy:13	(ocf::heartbeat:/usr/lib/heartbeat/cts/OCFMSDummy):	Slave c001n06 
 
Index: pacemaker/pengine/test10/stonith-1.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-1.summary
+++ pacemaker/pengine/test10/stonith-1.summary
@@ -20,10 +20,10 @@ Online: [ sles-1 sles-2 sles-4 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
      ocf_msdummy:0	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:1	(ocf::heartbeat:Stateful):	Stopped 
-     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Started sles-3 (UNCLEAN)
+     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Slave sles-3 ( UNCLEAN ) 
      ocf_msdummy:3	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:4	(ocf::heartbeat:Stateful):	Stopped 
-     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Started sles-3 (UNCLEAN)
+     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Slave sles-3 ( UNCLEAN ) 
      ocf_msdummy:6	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:Stateful):	Stopped 
 
@@ -101,12 +101,12 @@ OFFLINE: [ sles-3 ]
      Started: [ sles-1 sles-2 sles-4 ]
      Stopped: [ sles-3 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
-     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Started sles-1
-     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Started sles-2
-     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Started sles-1
-     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Started sles-2
+     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Slave sles-1 
+     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Slave sles-2 
+     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Slave sles-1 
+     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Slave sles-2 
      ocf_msdummy:6	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:Stateful):	Stopped 
 
Index: pacemaker/pengine/test10/stonith-2.summary
===================================================================
--- pacemaker.orig/pengine/test10/stonith-2.summary
+++ pacemaker/pengine/test10/stonith-2.summary
@@ -19,18 +19,18 @@ Online: [ sles-1 sles-2 sles-3 sles-4 sl
      Started: [ sles-1 sles-2 sles-3 sles-4 sles-6 ]
      Stopped: [ sles-5 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
-     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Started sles-3
-     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Started sles-1
-     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Started sles-2
-     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Started sles-1
+     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Slave sles-3 
+     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Slave sles-1 
+     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Slave sles-2 
+     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Slave sles-1 
      ocf_msdummy:6	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:Stateful):	Stopped 
-     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Started sles-6
-     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Started sles-6
-     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Started sles-2
-     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Started sles-3
+     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Slave sles-6 
+     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Slave sles-6 
+     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Slave sles-2 
+     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Slave sles-3 
 
 Transition Summary:
  * Start   rsc_sles-5	(sles-6)
@@ -62,16 +62,16 @@ OFFLINE: [ sles-5 ]
      Started: [ sles-1 sles-2 sles-3 sles-4 sles-6 ]
      Stopped: [ sles-5 ]
  Master/Slave Set: master_rsc_1 [ocf_msdummy] (unique)
-     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Started sles-3
-     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Started sles-4
-     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Started sles-1
-     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Started sles-2
-     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Started sles-1
+     ocf_msdummy:0	(ocf::heartbeat:Stateful):	Slave sles-3 
+     ocf_msdummy:1	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:2	(ocf::heartbeat:Stateful):	Slave sles-4 
+     ocf_msdummy:3	(ocf::heartbeat:Stateful):	Slave sles-1 
+     ocf_msdummy:4	(ocf::heartbeat:Stateful):	Slave sles-2 
+     ocf_msdummy:5	(ocf::heartbeat:Stateful):	Slave sles-1 
      ocf_msdummy:6	(ocf::heartbeat:Stateful):	Stopped 
      ocf_msdummy:7	(ocf::heartbeat:Stateful):	Stopped 
-     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Started sles-6
-     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Started sles-6
-     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Started sles-2
-     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Started sles-3
+     ocf_msdummy:8	(ocf::heartbeat:Stateful):	Slave sles-6 
+     ocf_msdummy:9	(ocf::heartbeat:Stateful):	Slave sles-6 
+     ocf_msdummy:10	(ocf::heartbeat:Stateful):	Slave sles-2 
+     ocf_msdummy:11	(ocf::heartbeat:Stateful):	Slave sles-3 
 
Index: pacemaker/pengine/test10/unmanaged-master.summary
===================================================================
--- pacemaker.orig/pengine/test10/unmanaged-master.summary
+++ pacemaker/pengine/test10/unmanaged-master.summary
@@ -23,7 +23,7 @@ OFFLINE: [ pcmk-3 pcmk-4 ]
      Stopped: [ pcmk-3 pcmk-4 ]
  Master/Slave Set: master-1 [stateful-1] (unmanaged)
      stateful-1	(ocf::pacemaker:Stateful):	Master pcmk-2 (unmanaged) 
-     stateful-1	(ocf::pacemaker:Stateful):	Started pcmk-1 (unmanaged) 
+     stateful-1	(ocf::pacemaker:Stateful):	Slave pcmk-1 ( unmanaged ) 
      Stopped: [ pcmk-3 pcmk-4 ]
 
 Transition Summary:
@@ -56,6 +56,6 @@ OFFLINE: [ pcmk-3 pcmk-4 ]
      Stopped: [ pcmk-3 pcmk-4 ]
  Master/Slave Set: master-1 [stateful-1] (unmanaged)
      stateful-1	(ocf::pacemaker:Stateful):	Master pcmk-2 (unmanaged) 
-     stateful-1	(ocf::pacemaker:Stateful):	Started pcmk-1 (unmanaged) 
+     stateful-1	(ocf::pacemaker:Stateful):	Slave pcmk-1 ( unmanaged ) 
      Stopped: [ pcmk-3 pcmk-4 ]
 
Index: pacemaker/pengine/test10/asymmetrical-order-move.summary
===================================================================
--- pacemaker.orig/pengine/test10/asymmetrical-order-move.summary
+++ pacemaker/pengine/test10/asymmetrical-order-move.summary
@@ -3,7 +3,7 @@ Current cluster status:
 Online: [ sle12sp2-1 sle12sp2-2 ]
 
  st_sbd	(stonith:external/sbd):	Started sle12sp2-2 
- dummy1	(ocf::pacemaker:Dummy):	Stopped ( disabled ) 
+ dummy1	(ocf::pacemaker:Dummy):	(target-role:Stopped) Stopped
  dummy2	(ocf::pacemaker:Dummy):	Started sle12sp2-1 
 
 Transition Summary:
@@ -17,6 +17,6 @@ Revised cluster status:
 Online: [ sle12sp2-1 sle12sp2-2 ]
 
  st_sbd	(stonith:external/sbd):	Started sle12sp2-2 
- dummy1	(ocf::pacemaker:Dummy):	Stopped ( disabled ) 
+ dummy1	(ocf::pacemaker:Dummy):	(target-role:Stopped) Stopped
  dummy2	(ocf::pacemaker:Dummy):	Stopped 
 
Index: pacemaker/pengine/test10/bug-5059.summary
===================================================================
--- pacemaker.orig/pengine/test10/bug-5059.summary
+++ pacemaker/pengine/test10/bug-5059.summary
@@ -6,10 +6,10 @@ OFFLINE: [ gluster04.h ]
 
  Master/Slave Set: ms_stateful [g_stateful]
      Resource Group: g_stateful:0
-         p_stateful1	(ocf::pacemaker:Stateful):	Started gluster01.h 
+         p_stateful1	(ocf::pacemaker:Stateful):	Slave gluster01.h
          p_stateful2	(ocf::pacemaker:Stateful):	Stopped 
      Resource Group: g_stateful:1
-         p_stateful1	(ocf::pacemaker:Stateful):	Started gluster02.h 
+         p_stateful1	(ocf::pacemaker:Stateful):	Slave gluster02.h
          p_stateful2	(ocf::pacemaker:Stateful):	Stopped 
      Stopped: [ gluster03.h gluster04.h ]
  Clone Set: c_dummy [p_dummy1]
